Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042775
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-09 15:592020-04-16 07:54
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revisionc130f7d85747
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042775: ant package.core is tied to mercurial and cannot be used with ob source in git

DescriptionThe ant package.core command can be used to create a obx file for core. However it is doing 'hg archive' as main command to prepare the files so cannot be used when sources are managed using git.

Note:
Before changing code probably would need to specify what exactly the goal of the task is as currently it is not used and works differently than package.module.

Steps To ReproduceClone openbravo erp sources from git and run ant package.core
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0042769 closedalostale ant package.module is missing to exclude .git 
blocks feature request 0041898 acknowledgedplatform support git 

-  Notes
(0116732)
shuehner (administrator)
2020-01-09 16:01

Notes:
- ant package.module has some code (in ExtractModule) specific to module_id=0 but not fully working
- ant package.core does use 'hg archive' and not files from working copy (in contrast to ant package.module)
- ant package.core does have 2 options on how to set ad_module.xml version field
  a.) (on by default) 'hg id -n' short commit it from hg repo
  b.) read from ad_module.xml (non default)
- In contrast ant package.module does not modify version but just creates obx file itself. It could make sense to simplify and package.core to do the same
- rm team currently does not use package.core but creates zip file for core manually but would like to use some more standard solution
- Ideally modified package.core would work needing install.source or prior compilation if possible
(0119139)
shuehner (administrator)
2020-04-13 17:56

After discussion ALO/SHU: As the task is not even used by RM team to prepare releases -> Removal:

https://gitlab.com/openbravo/product/openbravo/-/merge_requests/57 [^]
(0119160)
hgbot (developer)
2020-04-14 18:34

Repository: erp/devel/pi
Changeset: c130f7d85747d2ff9cd2038c4138ea15b9e8b289
Author: Stefan Huehner <stefan.huehner <at> openbravo.com>
Date: Mon Apr 13 17:43:09 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c130f7d85747d2ff9cd2038c4138ea15b9e8b289 [^]

fixed ISSUE-42775: Remove ant task package.core (mercurial only and unused)

That task tied to mercurial revision control (by using hg id & hg
archive, so for upcoming git migration it will stop working).
Apart it is not used by Openbravo to prepare releases so not really
needed.

Instead of rewriting it with git or hg & git logic lets remove it.

---
M build.xml
---

- Issue History
Date Modified Username Field Change
2020-01-09 15:59 shuehner New Issue
2020-01-09 15:59 shuehner Assigned To => platform
2020-01-09 15:59 shuehner Modules => Core
2020-01-09 15:59 shuehner Triggers an Emergency Pack => No
2020-01-09 16:00 shuehner Relationship added related to 0042769
2020-01-09 16:01 shuehner Note Added: 0116732
2020-01-14 09:11 alostale Relationship added blocks 0041898
2020-04-13 17:56 shuehner Note Added: 0119139
2020-04-13 17:58 shuehner Assigned To platform => shuehner
2020-04-14 18:34 hgbot Checkin
2020-04-14 18:34 hgbot Note Added: 0119160
2020-04-14 18:34 hgbot Status new => resolved
2020-04-14 18:34 hgbot Resolution open => fixed
2020-04-14 18:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c130f7d85747d2ff9cd2038c4138ea15b9e8b289 [^]
2020-04-16 07:54 alostale Review Assigned To => alostale
2020-04-16 07:54 alostale Status resolved => closed
2020-04-16 07:54 alostale Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker